Fix a dm-crypt compile warning on x86-64 with gcc 3.3.1.

[Andreas Steinmetz]
--- linux.orig/drivers/md/dm-crypt.c	2004-02-10 18:09:10.048777000 +0100
+++ linux/drivers/md/dm-crypt.c	2004-02-10 18:12:15.646561920 +0100
@@ -499,7 +499,8 @@
 
 	if (tfm->crt_u.cipher.cit_decrypt_iv && tfm->crt_u.cipher.cit_encrypt_iv)
 		/* at least a 32 bit sector number should fit in our buffer */
-		cc->iv_size = max(crypto_tfm_alg_ivsize(tfm), sizeof(u32) / sizeof(u8));
+		cc->iv_size = max(crypto_tfm_alg_ivsize(tfm), 
+		                  (unsigned int)(sizeof(u32) / sizeof(u8)));
 	else {
 		cc->iv_size = 0;
 		if (cc->iv_generator) {
